/**
 * 线上路演模块
 */
import {get,post} from './http'

/**
 * 视频列表
 * @param page_index
 * @param page_size
 * @param keywords
 * @param video_id
 * @param chart_permission_id
 */
export const apiRoadShowVideoList=params=>{
    return get('/road/video/list',params)
}

/**
 * 视频播放埋点
 * @param video_id
 * @param source_agent 来源平台：1:小程序、2:小程序(pc)、3:公众号、4:官网web(pc)
 */
export const apiRoadShowVideoPlayLog=params=>{
    let source_agent=2
	if(window.__wxjs_environment === 'miniprogram'){
		source_agent=2
	}else{
		source_agent=4
	}
    return post('/road/video/play_log',{...params,source_agent:source_agent})
}